Forum Mac Os X server

Forum francophone sur les technologies serveur d'Apple
 
AccueilAccueil  FAQFAQ  RechercherRechercher  S'enregistrerS'enregistrer  MembresMembres  GroupesGroupes  Connexion  

Partagez | 
 

 marquage mail sortants par clamav

Voir le sujet précédent Voir le sujet suivant Aller en bas 
Aller à la page : Précédent  1, 2
AuteurMessage
Franck Mereo (zekiller28)
Admin
avatar

Nombre de messages : 3030
Age : 43
Localisation : Paris
Date d'inscription : 09/10/2006

MessageSujet: Re: marquage mail sortants par clamav   Dim 24 Fév - 16:29

Pas de problème Olivier, prend ton temps… Je te relancerai de toute façon cheers cheers

Bon courage pour absorber la charge de travail de 15 jours de congés (ho et puis zut ! Fallait pas partir d'abord ! farao )
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
Franck Mereo (zekiller28)
Admin
avatar

Nombre de messages : 3030
Age : 43
Localisation : Paris
Date d'inscription : 09/10/2006

MessageSujet: Re: marquage mail sortants par clamav   Mar 25 Mar - 18:09

coucou… cyclops
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
oducrot
Serveur X 10.1
Serveur X 10.1
avatar

Nombre de messages : 51
Localisation : CAEN
Date d'inscription : 18/11/2005

MessageSujet: Re: marquage mail sortants par clamav   Mar 20 Mai - 0:00

Article rédigé sur la base de la méthode présentée dans : "The Book of Postfix" de Ralf Hildebradt et Patrick Koetter




  1. Téléchargement et installation

    • la dernière version de altermime se trouve ici


    • cd ~/
      curl -O http://www.pldaniels.com/altermime/altermime-0.3.8.tar.gz
      tar xzf altermime-0.3.8.tar.gz

      cd altermime-0.3.8
      make
      sudo make install




  2. Préparation

    • Altermime nécessite deux répertoires :


    • /etc/postfix/filter		<-- pour y stocker les scripts de filtrage
      /var/spool/altermime <-- répertoire de travail temporaire


    • Il faut donner les bons droits aux répertoires et aux scipts

    • Bref, la préparation se résume à :


    • sudo mkdir -p /etc/postfix/filter
      sudo mkdir -p /var/spool/altermime
      chown cyrus:mail /var/spool/altermime
      chown root:mail /etc/postfix/filter
      chmod 770 /etc/postfix/filter


    • il faut ensuite créer un fichier contenant le message 'disclaimer'


    • pico /etc/postfix/disclaimer.txt

      Ce message est strictement personnel


    • Puis télécharger est modifier le script 'add_disclaimer' en fonction des besoins :


    • cd ~/
      curl -O http://www.postfix-book.com/download/add_disclaimer.sh.gz
      tar xzf add_disclaimer.sh.g
      cp add_disclaimer.sh /etc/postfix/filter
      chmod +x /etc/postfix/filter


    • Si vous avez respecté ce qui précède, le script fonctionne tel quel et contient :


    • #!/bin/sh
      # System dependent settings
      ALTERMIME=/usr/local/bin/altermime
      ALTERMIME_DIR=/var/spool/altermime
      SENDMAIL=/usr/sbin/sendmail

      # Exit codes of commands invoked by Postfix are expected
      # to follow the conventions defined in <sysexits.h>.
      TEMPFAIL=75
      UNAVAILABLE=69

      # Change in to alterMIME's working directory
      # Notify Postfix if 'cd' fails.
      cd $ALTERMIME_DIR || { echo $ALTERMIME_DIR does not exist; exit $TEMPFAIL; }

      # Clean up when done or when aborting.
      trap "rm -f in.$$" 0 1 2 3 15

      # Write mail to a temporary file
      # Notify Postfix if this fails
      cat >in.$$ || { echo Cannot write to $ALTERMIME_DIR; exit $TEMPFAIL; }

      # Call alterMIME, hand over the message and
      # tell alterMIME what to do with it
      $ALTERMIME --input=in.$$ \
      --disclaimer=/etc/postfix/disclaimer.txt \
      --disclaimer-html=/etc/postfix/disclaimer.txt \
      --xheader="X-Copyrighted-Material: Please visit http://www.example.com/message_disclaimer.html" || \
      { echo Message content rejected; exit $UNAVAILABLE; }

      # Call sendmail to reinject the message into Postfix
      $SENDMAIL "$@" <in.$$

      # Use sendmail's EXIT STATUS to tell Postfix
      # how things went.
      exit $?
       


    •  



  3. Configuration de postfix pour altermime

    • deux modification à faire dans /etc/postfix/master.cf :

    • il faut définir le filtre 'disclaimer' pour  altermime


    • # ajout pour altermime
      smtp inet n - n - - smtpd
      -o content_filter=disclaimer:


    • puis définir le tranport


    • disclaimer unix -       n       n       -       -       pipe
      flags=Rq user=cyrusimap argv=/etc/postfix/filter/add_disclaimer.sh -f ${sender} -- ${recipient}


    • Il est impératif de relancer postfix avec la commande :


    • sudo postfix reload


    •  La trace du mail dans /var/log/mail.log est reconnaissable :


    • May 19 22:00:04 meursault postfix/smtpd[10602]: connect from localhost[127.0.0.1]
      May 19 22:00:04 meursault postfix/smtpd[10602]: D1E0310F08D: client=localhost[127.0.0.1]
      May 19 22:00:04 meursault postfix/cleanup[10586]: D1E0310F08D: message-id=<59756.10.0.1.11.1211227204.squirrel@meursault.easymac.fr>
      May 19 22:00:04 meursault postfix/qmgr[10569]: D1E0310F08D: from=<ducrot@meursault.easymac.fr>, size=1062, nrcpt=1 (queue active)
      May 19 22:00:04 meursault postfix/smtpd[10602]: disconnect from localhost[127.0.0.1]
      May 19 22:00:04 meursault postfix/pickup[10568]: EA0CF10F093: uid=77 from=<ducrot@meursault.easymac.fr>
      May 19 22:00:04 meursault postfix/cleanup[10584]: EA0CF10F093: message-id=<59756.10.0.1.11.1211227204.squirrel@meursault.easymac.fr>
      May 19 22:00:04 meursault postfix/qmgr[10569]: EA0CF10F093: from=<ducrot@meursault.easymac.fr>, size=1273, nrcpt=1 (queue active)
      May 19 22:00:04 meursault postfix/pipe[10570]: D1E0310F08D: to=<ducrot@meursault.easymac.fr>, relay=disclaimer, delay=0.12, delays=0.02/0/0/0.1, dsn=2.0.0, status=sent (delivered via disclaimer service)
      May 19 22:00:04 meursault postfix/qmgr[10569]: D1E0310F08D: removed
      May 19 22:00:05 meursault postfix/pipe[10588]: EA0CF10F093: to=<ducrot@meursault.easymac.fr>, relay=cyrus, delay=0.41, delays=0.01/0/0/0.4, dsn=2.0.0, status=sent (delivered via cyrus service)
      May 19 22:00:05 meursault postfix/qmgr[10569]: EA0CF10F093: removed




Revenir en haut Aller en bas
Voir le profil de l'utilisateur http://www.easymac.fr/technicalcookbook
oducrot
Serveur X 10.1
Serveur X 10.1
avatar

Nombre de messages : 51
Localisation : CAEN
Date d'inscription : 18/11/2005

MessageSujet: Re: marquage mail sortants par clamav   Mar 20 Mai - 0:07

Comme promis, l'article est en ligne sur mon blog, avec les fichiers téléchargeables :

http://www.easymac.fr/technicalcookbook/mosxserver/mosxs-leopard/postfix-ajout-d-un-message-disclaimer

n'hésitez pas à y jeter un oeil
Revenir en haut Aller en bas
Voir le profil de l'utilisateur http://www.easymac.fr/technicalcookbook
Franck Mereo (zekiller28)
Admin
avatar

Nombre de messages : 3030
Age : 43
Localisation : Paris
Date d'inscription : 09/10/2006

MessageSujet: Re: marquage mail sortants par clamav   Mar 20 Mai - 0:43

Merci beaucoup Olivier cheers

je vais regarder ça très attentivement et je fais un feedback dans la foulée…
Revenir en haut Aller en bas
Voir le profil de l'utilisateur
oducrot
Serveur X 10.1
Serveur X 10.1
avatar

Nombre de messages : 51
Localisation : CAEN
Date d'inscription : 18/11/2005

MessageSujet: Re: marquage mail sortants par clamav   Mar 20 Mai - 8:40

Quelques éléments de debug :

si dans le mail, on retrouve :

(null)

c'est le fichier discliaimer.txt qui n'est pas au bon endroit

si on retrouve des lignes comme :

May 19 21:51:51 meursault postfix/pipe[10353]: 79C8610EFEF: to=, relay=disclaimer, delay=0.18, delays=0.06/0.05/0/0.07, dsn=4.3.0, status=deferred (temporary failure. Command output: pipe: fatal: pipe_command: execvp /etc/postfix/filter/add_disclaimer.sh: Permission denied )

ce sont les droits d'exécution de add_disclaimer.sh qui ne sont pas bons

si on retrouve des lignes comme :

May 19 21:52:54 meursault postfix/pipe[10353]: 61D5B10EFFF: to=, relay=disclaimer, delay=0.16, delays=0.04/0/0/0.12, dsn=4.3.0, status=deferred (temporary failure. Command output: /etc/postfix/filter/add_disclaimer.sh: line 14: cd: /var/spool/altermime: No such file or directory /var/spool/altermime does not exist )


c'est le répertoire de stockage temporaire de altermime qui n'a pas été créé.
Revenir en haut Aller en bas
Voir le profil de l'utilisateur http://www.easymac.fr/technicalcookbook
Contenu sponsorisé




MessageSujet: Re: marquage mail sortants par clamav   

Revenir en haut Aller en bas
 
marquage mail sortants par clamav
Voir le sujet précédent Voir le sujet suivant Revenir en haut 
Page 2 sur 2Aller à la page : Précédent  1, 2
 Sujets similaires
-
» [Résolu] Affichage images dans un mail
» mail jamais arrivé
» [Résolu] Problème d'envoi de mail (smtp)
» [fermé]mail avira
» Mail Express

Permission de ce forum:Vous ne pouvez pas répondre aux sujets dans ce forum
Forum Mac Os X server :: Services mail-
Sauter vers: